import { useState } from "react"
import Taro from "@tarojs/taro"

import { login } from "../services/user"


export default () => {
  const [person, setPerson] = useState()
  const [sessionKey, setSessionKey] = useState()
  const [userPhoneInfo, setUserPhoneInfo] = useState()
  const [deptName, setDeptName] = useState()
  const [formValue, setFormValue] = useState()







  const logins = (params) => {
    console.log('login');

    login(params).then((res) => {

      const { person: taPerson, sessionKey: skey } = res;
      // taPerson.phone = null

      setPerson(taPerson);
      setSessionKey(skey);
      if (!res.person) {
        console.log('没有身份证',);
        Taro.showModal({
          title: '提示',
          content: '未添加个人信息!',
          showCancel: false,
          success: function (res) {
            if (res.confirm) {
              Taro.redirectTo({
                url: '/pages/setUserInfo/index'
              })

            }
          }
        })

      } else {
        console.log('有身份证',);
      }
    })
  }
  console.log("🚀 来自store的打印 person数据formValue", person, formValue)

  return {
    person,
    sessionKey,

    setPerson,
    setSessionKey,

    userPhoneInfo,
    setUserPhoneInfo,

    deptName,
    setDeptName,

    formValue,
    setFormValue,


    logins,
  }
}